"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const symbol_bootstrap_core_1 = require("symbol-bootstrap-core");
const CommandUtils_1 = require("../service/CommandUtils");
class Clean extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Clean);
            CommandUtils_1.CommandUtils.showBanner();
            symbol_bootstrap_core_1.BootstrapUtils.deleteFolder(flags.target);
        });
    }
}
exports.default = Clean;
Clean.description = 'It removes the target folder deleting the generated configuration and data';
Clean.examples = [`$ symbol-bootstrap clean`];
Clean.flags = {
    help: CommandUtils_1.CommandUtils.helpFlag,
    target: CommandUtils_1.CommandUtils.targetFlag,
};
//# sourceMappingURL=clean.js.map