"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const AnnounceService_1 = require("../service/AnnounceService");
const CommandUtils_1 = require("../service/CommandUtils");
const LinkService_1 = require("../service/LinkService");
class Link extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Link);
            CommandUtils_1.CommandUtils.showBanner();
            flags.password = yield CommandUtils_1.CommandUtils.resolvePassword(flags.password, flags.noPassword, CommandUtils_1.CommandUtils.passwordPromptDefaultMessage, true);
            yield new LinkService_1.LinkService(flags).run();
        });
    }
}
exports.default = Link;
Link.description = `It announces VRF and Voting Link transactions to the network for each node with 'Peer' or 'Voting' roles. This command finalizes the node registration to an existing network.`;
Link.examples = [`$ symbol-bootstrap link`, `$ echo "$MY_ENV_VAR_PASSWORD" | symbol-bootstrap link --unlink --useKnownRestGateways`];
Link.flags = Object.assign({ help: CommandUtils_1.CommandUtils.helpFlag, target: CommandUtils_1.CommandUtils.targetFlag, unlink: command_1.flags.boolean({
        description: 'Perform "Unlink" transactions unlinking the voting and VRF keys from the node signer account',
        default: LinkService_1.LinkService.defaultParams.unlink,
    }) }, AnnounceService_1.AnnounceService.flags);
//# sourceMappingURL=link.js.map