"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const symbol_bootstrap_core_1 = require("symbol-bootstrap-core");
const service_1 = require("../service");
const clean_1 = __importDefault(require("./clean"));
const compose_1 = __importDefault(require("./compose"));
const config_1 = __importDefault(require("./config"));
const run_1 = __importDefault(require("./run"));
class Start extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Start);
            service_1.CommandUtils.showBanner();
            flags.password = yield service_1.CommandUtils.resolvePassword(flags.password, flags.noPassword, service_1.CommandUtils.passwordPromptDefaultMessage, true);
            yield new symbol_bootstrap_core_1.BootstrapService().start(Object.assign(Object.assign({}, flags), { privateKeyResolver: service_1.CommandUtils }));
        });
    }
}
exports.default = Start;
Start.description = 'Single command that aggregates config, compose and run in one line!';
Start.examples = [
    `$ symbol-bootstrap start -p singleCurrency -a multinode`,
    `$ symbol-bootstrap start -p dualCurrency -a multinode`,
    `$ symbol-bootstrap start -p testnet -a dual`,
    `$ symbol-bootstrap start -p testnet -a dual --password 1234`,
    `$ echo "$MY_ENV_VAR_PASSWORD" | symbol-bootstrap start -p testnet -a dual`,
];
Start.flags = Object.assign(Object.assign(Object.assign(Object.assign({}, compose_1.default.flags), run_1.default.flags), clean_1.default.flags), config_1.default.flags);
//# sourceMappingURL=start.js.map