"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const symbol_bootstrap_core_1 = require("symbol-bootstrap-core");
const CommandUtils_1 = require("../service/CommandUtils");
class Stop extends command_1.Command {
    run() {
        const { flags } = this.parse(Stop);
        CommandUtils_1.CommandUtils.showBanner();
        return new symbol_bootstrap_core_1.RunService(flags).stop();
    }
}
exports.default = Stop;
Stop.description = 'It stops the docker-compose network if running (symbol-bootstrap started with --detached). This is just a wrapper for the `docker-compose down` bash call.';
Stop.examples = [`$ symbol-bootstrap stop`];
Stop.flags = {
    help: CommandUtils_1.CommandUtils.helpFlag,
    target: CommandUtils_1.CommandUtils.targetFlag,
};
//# sourceMappingURL=stop.js.map