import { IOptionFlag } from '@oclif/command/lib/flags';
import { IBooleanFlag } from '@oclif/parser/lib/flags';
import { CertificatePair, KeyName } from 'symbol-bootstrap-core';
import { NetworkType } from 'symbol-sdk';
export declare class CommandUtils {
    static passwordPromptDefaultMessage: string;
    static helpFlag: IBooleanFlag<void>;
    static targetFlag: IOptionFlag<string>;
    static passwordFlag: IOptionFlag<string | undefined>;
    static noPasswordFlag: IBooleanFlag<boolean>;
    static showBanner(): void;
    static getPasswordFlag(description: string): IOptionFlag<string | undefined>;
    static isValidPassword(input: string | undefined): boolean | string;
    static resolvePrivateKey(networkType: NetworkType, account: CertificatePair | undefined, keyName: KeyName, nodeName: string, operationDescription: string): Promise<string>;
    static resolvePassword(providedPassword: string | undefined, noPassword: boolean, message: string, log: boolean): Promise<string | undefined>;
}
//# sourceMappingURL=CommandUtils.d.ts.map